## osso-software-version-unlocked 0.2-5

=== Makefile ===
install:
	mkdir -p $(DESTDIR)/usr/share/osso-software-version-unlocked
	cp *.deb $(DESTDIR)/usr/share/osso-software-version-unlocked/
	mkdir -p $(DESTDIR)/usr/bin
	cp enable-unlocked $(DESTDIR)/usr/bin
	cp disable-unlocked $(DESTDIR)/usr/bin

=== debian/changelog ===
osso-software-version-unlocked (0.2-5) unstable; urgency=low

  * Package now uninstalls correctly.

 -- Adam Harwell <aharwell@trinity.edu>  Tue, 15 Jul 2008 12:41:38 -0500

osso-software-version-unlocked (0.1-1) unstable; urgency=low

  * Initial release

 -- Adam Harwell <aharwell@trinity.edu>  Tue, 15 Jul 2008 12:41:38 -0500

=== debian/control ===
Source: osso-software-version-unlocked
Section: unknown
Priority: extra
Maintainer: unknown <aharwell@unknown>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: osso-software-version-unlocked
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: osso-software-version-rx34, osso-software-version-rx44
Provides: osso-software-version-rx34-unlocked, osso-software-version-rx44-unlocked
Description: <insert up to 60 chars description>
 <insert long description, indented with spaces>

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/osso-software-version-unlocked.sgml > osso-software-version-unlocked.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/osso-software-version-unlocked.
	$(MAKE) DESTDIR=$(CURDIR)/debian/osso-software-version-unlocked install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
